Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

RouteReference.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\MVC\Symfony\Routing;
8
9 use Symfony\Component\HttpFoundation\ParameterBag;
10
11 class RouteReference
12 {
14 private $params;
15
17 private $route;
18
19 public function __construct($route, array $params = [])
20 {
21 $this->route = $route;
22 $this->params = new ParameterBag($params);
23 }
24
28 public function setRoute($route)
29 {
30 $this->route = $route;
31 }
32
36 public function getRoute()
37 {
38 return $this->route;
39 }
40
44 public function getParams()
45 {
46 return $this->params->all();
47 }
48
55 public function set($parameterName, $value)
56 {
57 $this->params->set($parameterName, $value);
58 }
59
69 public function get($parameterName, $defaultValue = null, $deep = false)
70 {
71 return $this->params->get($parameterName, $defaultValue, $deep);
72 }
73
74 public function has($parameterName)
75 {
76 return $this->params->has($parameterName);
77 }
78
84 public function remove($parameterName)
85 {
86 $this->params->remove($parameterName);
87 }
88 }
eZ\Publish\Core\MVC\Symfony\Routing\RouteReference
Definition: RouteReference.php:12
eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\getParams
getParams()
Definition: RouteReference.php:44
eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\setRoute
setRoute($route)
Definition: RouteReference.php:28
eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\getRoute
getRoute()
Definition: RouteReference.php:36
eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\$params
$params
Definition: RouteReference.php:14
eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\__construct
__construct($route, array $params=[])
Definition: RouteReference.php:19
eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\has
has($parameterName)
Definition: RouteReference.php:74
eZ\Publish\Core\MVC\Symfony\Routing\RouteReference\$route
$route
Definition: RouteReference.php:17
eZ\Publish\Core\MVC\Symfony\Routing
Definition: ChainRouter.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.